# Bgv Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/bgv/

Schema for the `Bgv` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the background verification case
- **`candidate`** _(object)_
  The person whose background verification is being run. Providers may call this person a candidate, applicant, or employee.
  - **`id`** _(string)_
    The provider identifier for the candidate or applicant
  - **`first_name`** _(string)_
    The candidate first name
  - **`middle_name`** _(string)_
    The candidate middle name
  - **`last_name`** _(string)_
    The candidate last name
  - **`name`** _(string)_
    The candidate full name
  - **`emails`** _(array<object>)_
    The candidate email addresses
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
  - **`phones`** _(array<object>)_
    The candidate phone numbers
    - **`number`** _(string)_
      The phone number
    - **`extension`** _(string)_
      The extension of the phone number
    - **`type`** _(string)_
      The type of phone number
  - **`gender`** _(string)_
    The candidate gender. If no clear mapping is available, the raw provider value is returned.
  - **`date_of_birth`** _(string)_
    The candidate date of birth
  - **`address`** _(object)_
    The candidate address used for the background verification case
    - **`street_1`** _(string)_
      The first line of the address
    - **`street_2`** _(string)_
      The second line of the address
    - **`city`** _(string)_
      The city of the address
    - **`state`** _(string)_
      The state or province of the address
    - **`postal_code`** _(string)_
      The postal code of the address
    - **`country`** _(string)_
      The country of the address
  - **`employee_number`** _(string)_
    The provider or customer employee number associated with the candidate, when available. This is not a Truto employees.id reference.
- **`employee`** _(object)_
  The HRIS employee associated with this background verification case when a real Truto employee identifier is known. Provider-specific employee numbers are returned on candidate.employee_number instead.
  - **`id`** _(string)_
    The unique identifier for employees
  - **`name`** _(string)_
    This represents the name of the employee
- **`package`** _(object)_
  The verification package, program, or screening bundle used for this case.
  - **`id`** _(string)_
    The unique identifier for the BGV package
  - **`name`** _(string)_
    The name of the BGV package
- **`status`** _(string)_
  The normalized lifecycle status of the background verification case. If no clear mapping is available, the raw provider value is returned.
  Allowed: `draft`, `invited`, `pending_candidate`, `in_progress`, `insufficient`, `completed`, `canceled`, `expired`, `failed`, `unknown`
- **`result`** _(string)_
  The normalized verification outcome. This is not a hiring recommendation. If no clear mapping is available, the raw provider value is returned.
  Allowed: `clear`, `consider`, `discrepant`, `verified`, `unable_to_verify`, `not_applicable`, `unknown`
- **`checks`** _(array<object>)_
  Individual checks that compose this background verification case.
  - **`id`** _(string)_
    The unique identifier for the check
  - **`name`** _(string)_
    The check name
  - **`type`** _(string)_
    The check type
  - **`status`** _(string)_
    The check lifecycle status
  - **`result`** _(string)_
    The check result
  - **`details`** _(string)_
    Additional provider details for the check
- **`documents`** _(array<object>)_
  Documents associated with this background verification case.
  - **`id`** _(string)_
    The unique identifier for the document
  - **`type`** _(string)_
    The document type
  - **`name`** _(string)_
    The document name
  - **`url`** _(string)_
    A provider URL for the document, when available
  - **`uploaded_at`** _(string)_
    The date when the document was uploaded
- **`report`** _(object)_
  The final background verification report when available.
  - **`url`** _(string)_
    A URL for the report, when available
  - **`expires_at`** _(string)_
    The date when the report URL expires
  - **`mime_type`** _(string)_
    The report MIME type
- **`invitation_url`** _(string)_
  A URL for the candidate invitation, when available
- **`consent_url`** _(string)_
  A URL for candidate consent, when available
- **`candidate_portal_url`** _(string)_
  A URL for the candidate portal, when available
- **`requested_at`** _(string)_
  The date when the background verification was requested
- **`submitted_at`** _(string)_
  The date when the candidate submitted required information
- **`completed_at`** _(string)_
  The date when the background verification was completed
- **`expires_at`** _(string)_
  The date when the background verification expires
- **`created_at`** _(string)_
  The date when the background verification case was created
- **`updated_at`** _(string)_
  The date when the background verification case was updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/bgv](/docs/api-reference/unified-hris-api/bgv/list) — List Bgv
- [POST /unified/hris/bgv](/docs/api-reference/unified-hris-api/bgv/create) — Create Bgv
- [GET /unified/hris/bgv/{id}](/docs/api-reference/unified-hris-api/bgv/get) — Get Bgv
